// HTML 		- none
// CSS 			- https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.1/css/bootstrap.css
// JAVASCRIPT	- https://cdnjs.cloudflare.com/ajax/libs/react/16.4.0/umd/react.development.js
//				- https://cdnjs.cloudflare.com/ajax/libs/react-dom/16.4.0/umd/react-dom.development.js

// Código HTML: 
<div id='app'></div>

// Código JS: 
class Main extends React.Component {
  
    constructor(props) {
        super(props);
      
        this.state = {
            contador : 0,
            nome : "Gil Eduardo"
        };
    }
 
    render() {
        setTimeout(() => {
            this.setState({
                contador : this.state.contador + 1
            })
        }, 1000);
      
        return (
            <div>
              <Contador valor={this.state.contador} /> 
              <h1>{ this.state.nome }</h1>
            </div>
        );
    }
};

// ESTATE COMPONENT
// Possui estado
/*class Contador extends React.Component {
  
    render() {
        return (
            <div>
                <h2> { this.props.valor } </h2>
            </div>
        );
    } 
};*/

// COMPONENT FUNCTION
// Utilizado quando os componentes não possuem estado, ou seja, 
// quando não precisamos de uma classe com "atributos"
const Contador = (props) => (
    <div> 
        <h2>{ props.valor} </h2>
    </div>
)


ReactDOM.render(
    <Main/>, 
    document.getElementById('app')
);