// HTML 		- none
// CSS 			- https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.1/css/bootstrap.css
// JAVASCRIPT	- https://cdnjs.cloudflare.com/ajax/libs/react/16.4.0/umd/react.development.js
//				- https://cdnjs.cloudflare.com/ajax/libs/react-dom/16.4.0/umd/react-dom.development.js

// Código HTML: 
<div id='app'></div>

// Código JS: 
const Contador = (props) => (
    <div> 
        <h2>{ props.valor } </h2>
    </div>
)

const Botao = (props) => (
    <div> 
        <button onClick={ () => props.onClick() }> { props.label } </button>
    </div>
)

class Main extends React.Component {
  
    constructor(props) {
        super(props);
      
        this.state = {
            contador : 0,
        };
    }
  
    onClickInc() {
        this.setState({
            contador : this.state.contador + 1
        }) 
    }
    
    onClickDec() {
        this.setState({
            contador : this.state.contador - 1
        }) 
    }
 
    render() {
        return (
            <div>
              <Botao label="Incrementar" onClick={() => this.onClickInc() } />
			  <Contador valor={this.state.contador} /> 
              <Botao label="Decrementar" onClick={() => this.onClickDec() } />
            </div>
        );
    }
};

ReactDOM.render(
    <Main/>, 
    document.getElementById('app')
);